Skip to Content
Cogwheel DocsCogwheel Docs
ApiV2betaPathfinder.v2beta.pathfinderqueryservice

GetChainTokens

GetChainTokens returns all tokens available on a specific chain Includes both native tokens and IBC tokens with their denoms

POST/pathfinder.v2beta.PathfinderQueryService/GetChainTokens

Header Parameters

Connect-Protocol-Version*1

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?Connect-Timeout-Ms

Define the timeout, in ms

Request Body

  1. body

GetChainTokensRequest - Get all tokens on a chain

chainId*chain_id

Response Body

Success

  1. response
chain_id?chain_id
chain_name?chain_name
native_tokens?array<>

Native tokens on this chain

ibc_tokens?array<>

IBC tokens received on this chain

Example Request
curl -X POST 'https://example.com/pathfinder.v2beta.PathfinderQueryService/GetChainTokens' \  -H 'Connect-Protocol-Version: 1' \  -H 'Content-Type: application/json' \  -d '{  "chainId": "string"}'
Example Response
{  "chain_id": "string",  "chain_name": "string",  "native_tokens": [    {      "denom": "string",      "symbol": "string",      "base_denom": "string",      "origin_chain": "string",      "decimals": 0,      "is_native": true    }  ],  "ibc_tokens": [    {      "denom": "string",      "symbol": "string",      "base_denom": "string",      "origin_chain": "string",      "decimals": 0,      "is_native": true    }  ]}